Quantcast Lots of Lib Dependencies after Murkmire Patch? - ESOUI
Thread Tools Display Modes
08/13/18, 05:10 PM   #1
Sp00sty
Join Date: Apr 2014
Posts: 57
Lots of Lib Dependencies after Murkmire Patch?

I have manually updated all my addons for today's patch and all of a sudden there are Lib dependency errors in several. Plus, there are some addons that have always added individual Libs to the addon list and now even those standalone libs have dependencies.

NOTE: You do not see these errors until after character load. I also use Addon Selector which has not been updated yet but have not disabled it for this post.

Has something changed with Libs and dependencies or is it no longer able to manually update addons (copy/paste) anymore or without errors?

Note I still manually update as I have a few that I have made personal changes to text sizes etc that I have to re-do after updates.








Last edited by Sp00sty : 08/13/18 at 05:12 PM.
  Reply With Quote
08/13/18, 06:02 PM   #2
SlippyCheeze
AddOn Author - Click to view addons
Join Date: Jul 2018
Posts: 52
Turn on "load out of date addons", your problem should go away. Alternatively, wait a couple more days for authors to mark their addons compatible.
  Reply With Quote
08/13/18, 06:39 PM   #3
Sp00sty
Join Date: Apr 2014
Posts: 57
That is with Out of Date addons checked loaded.

And the two Votan's and the As to Lam were just updated today.
  Reply With Quote
08/13/18, 08:41 PM   #4
choekstr
 
choekstr's Avatar
Join Date: Mar 2014
Posts: 14
it's always rough for quite a while after a big update as the mod developers work out issues and cross compatibility. Give them some time to fix the new bugs that are introduced, reintroduced as others update their versions and unforseen issues arise, etc.
  Reply With Quote
08/13/18, 09:34 PM   #5
SlippyCheeze
AddOn Author - Click to view addons
Join Date: Jul 2018
Posts: 52
Well, in addition to my earlier comment, you can also install the library files directly, which are available on esoui. I believe you have to manually install them as minion will not offer them for download, but done once and it will keep them updated happily.
  Reply With Quote
08/13/18, 10:17 PM   #6
Shadowfen
AddOn Author - Click to view addons
Join Date: Jun 2016
Posts: 29
I found that the libStub and libAddonMenu-2.0 were already in the list of my addons - they just were not checked because they had not needed be before. Just check them and reloadui. Then see what else might be needed.
  Reply With Quote
08/14/18, 03:45 AM   #7
Baertram
 
Baertram's Avatar
AddOn Author - Click to view addons
Join Date: Mar 2014
Posts: 1,800
libStub is the library which ALL other libs might be using so this should be the 1st dependency to enable!
This library assures that the libraries are loaded only once and with the highest version.

libAddonMenu is the library which most addons with a settings menu are using so enable it too.
  Reply With Quote
08/14/18, 04:34 AM   #8
Sp00sty
Join Date: Apr 2014
Posts: 57
Originally Posted by Shadowfen View Post
I found that the libStub and libAddonMenu-2.0 were already in the list of my addons - they just were not checked because they had not needed be before. Just check them and reloadui. Then see what else might be needed.
That's the same as me, I'll try that as well. They hadn't shown this before so mine were unchecked also.

EDIT: That seemed to clear them all. never had to check any of them before, so I'll leave them checked from now on.

Note none of those libs were manually loaded before either, they simply appeared after a while as other addons received updates and the libs started to be listed in the addon list separately from the addons that contained them.

Last edited by Sp00sty : 08/14/18 at 04:44 AM.
  Reply With Quote
08/14/18, 09:10 AM   #9
Baertram
 
Baertram's Avatar
AddOn Author - Click to view addons
Join Date: Mar 2014
Posts: 1,800
It is appearing now because of a change to the ZOs addon detection. Libraries were shown as standalone libs before the last patch already, but only if they had their own txt file with them!
Now, with the curent patch, they will be even shown if they got no own txt file but are referenced within any addon. Due to this change to the dependencies they were disabled if the checkbox "Allow out of date addons" was not checked. And due to the reference from about all libs -> libStub they were all disabled automatically even if they were up2date (as libStub is most likely out of date, because it works since years and doesn't need any updates).
  Reply With Quote
08/14/18, 10:40 AM   #10
Sp00sty
Join Date: Apr 2014
Posts: 57
Thanks for the insight, that was mainly what I posted for as this seemed like new behavior and I can now reply to anyone else on the ESOReddit forum.
  Reply With Quote

ESOUI » AddOns » AddOn Help/Support » Lots of Lib Dependencies after Murkmire Patch?

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off